- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# xml.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
## Classes
class | DOMException
class | XMLDOMNode
| The XMLDOMNode interface is the primary datatype for the entire Document Object Model. More...
class | XMLDOMElement
| The XMLDOMElement interface represents an element in an XML document. More...
class | XMLDOMDocument
| The XMLDOMDocument interface represents an entire XML document. More...
class | XMLDOMNodeList
| The XMLDOMNodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented. More...
## Typedefs
typedef helpers::ObjectPtrT< XMLDOMNode > | log4cxx::helpers::XMLDOMNodePtr
typedef helpers::ObjectPtrT< XMLDOMDocument > | log4cxx::helpers::XMLDOMDocumentPtr
typedef helpers::ObjectPtrT< XMLDOMNodeList > | log4cxx::helpers::XMLDOMNodeListPtr
## Functions
| log4cxx::helpers::LOG4CXX_PTR_DEF (XMLDOMNode)
| log4cxx::helpers::LOG4CXX_PTR_DEF (XMLDOMElement)
| log4cxx::helpers::LOG4CXX_PTR_DEF (XMLDOMDocument)
| log4cxx::helpers::LOG4CXX_PTR_DEF (XMLDOMNodeList)